Bug 147611 - [INTL] Implement Date.prototype.toLocaleString in ECMA-402
Summary: [INTL] Implement Date.prototype.toLocaleString in ECMA-402
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Andy VanWagoner
URL:
Keywords:
Depends on:
Blocks: 90906
  Show dependency treegraph
 
Reported: 2015-08-03 17:33 PDT by Andy VanWagoner
Modified: 2016-01-15 11:31 PST (History)
4 users (show)

See Also:


Attachments
Patch (34.34 KB, patch)
2015-12-26 12:54 PST, Andy VanWagoner
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews101 for mac-yosemite (893.38 KB, application/zip)
2015-12-26 13:57 PST, Build Bot
no flags Details
Archive of layout-test-results from ews112 for mac-yosemite (788.87 KB, application/zip)
2015-12-26 13:57 PST, Build Bot
no flags Details
Archive of layout-test-results from ews107 for mac-yosemite-wk2 (768.29 KB, application/zip)
2015-12-26 14:00 PST, Build Bot
no flags Details
Patch (34.30 KB, patch)
2015-12-26 15:18 PST, Andy VanWagoner
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews103 for mac-yosemite (749.81 KB, application/zip)
2015-12-26 16:21 PST, Build Bot
no flags Details
Archive of layout-test-results from ews106 for mac-yosemite-wk2 (756.98 KB, application/zip)
2015-12-26 16:23 PST, Build Bot
no flags Details
Archive of layout-test-results from ews117 for mac-yosemite (793.39 KB, application/zip)
2015-12-26 16:30 PST, Build Bot
no flags Details
Patch (34.12 KB, patch)
2015-12-26 18:04 PST, Andy VanWagoner
no flags Details | Formatted Diff | Diff
Patch (32.50 KB, patch)
2016-01-14 19:38 PST, Andy VanWagoner
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andy VanWagoner 2015-08-03 17:33:55 PDT
Implement ECMA-402 2.0 13.3.1 Date.prototype.toLocaleString ([locales [, options ]])
http://ecma-international.org/publications/standards/Ecma-402.htm

This definition supersedes the definition provided in ES2015, 20.3.4.39.
Comment 1 Andy VanWagoner 2015-12-26 12:54:50 PST
Created attachment 267927 [details]
Patch
Comment 2 Build Bot 2015-12-26 13:57:24 PST
Comment on attachment 267927 [details]
Patch

Attachment 267927 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/611564

New failing tests:
js/date-toLocaleString.html
Comment 3 Build Bot 2015-12-26 13:57:27 PST
Comment on attachment 267927 [details]
Patch

Attachment 267927 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/611556

New failing tests:
js/date-toLocaleString.html
Comment 4 Build Bot 2015-12-26 13:57:27 PST
Created attachment 267930 [details]
Archive of layout-test-results from ews101 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews101  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 5 Build Bot 2015-12-26 13:57:29 PST
Created attachment 267931 [details]
Archive of layout-test-results from ews112 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews112  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 6 Build Bot 2015-12-26 14:00:42 PST
Comment on attachment 267927 [details]
Patch

Attachment 267927 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/611574

New failing tests:
js/date-toLocaleString.html
Comment 7 Build Bot 2015-12-26 14:00:44 PST
Created attachment 267932 [details]
Archive of layout-test-results from ews107 for mac-yosemite-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews107  Port: mac-yosemite-wk2  Platform: Mac OS X 10.10.5
Comment 8 Andy VanWagoner 2015-12-26 15:18:08 PST
Created attachment 267933 [details]
Patch
Comment 9 Build Bot 2015-12-26 16:21:49 PST
Comment on attachment 267933 [details]
Patch

Attachment 267933 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/611958

New failing tests:
js/date-toLocaleString.html
Comment 10 Build Bot 2015-12-26 16:21:52 PST
Created attachment 267934 [details]
Archive of layout-test-results from ews103 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews103  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 11 Build Bot 2015-12-26 16:23:46 PST
Comment on attachment 267933 [details]
Patch

Attachment 267933 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/611957

New failing tests:
js/date-toLocaleString.html
Comment 12 Build Bot 2015-12-26 16:23:50 PST
Created attachment 267935 [details]
Archive of layout-test-results from ews106 for mac-yosemite-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews106  Port: mac-yosemite-wk2  Platform: Mac OS X 10.10.5
Comment 13 Build Bot 2015-12-26 16:30:28 PST
Comment on attachment 267933 [details]
Patch

Attachment 267933 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/611956

New failing tests:
js/date-toLocaleString.html
Comment 14 Build Bot 2015-12-26 16:30:31 PST
Created attachment 267936 [details]
Archive of layout-test-results from ews117 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews117  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 15 Andy VanWagoner 2015-12-26 18:04:44 PST
Created attachment 267937 [details]
Patch
Comment 16 Andy VanWagoner 2016-01-14 10:38:43 PST
Comment on attachment 267937 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=267937&action=review

> Source/JavaScriptCore/runtime/DatePrototype.cpp:496
> +#endif // ENABLE(INTL)

I need to handle the unused param in the else case
Comment 17 Andy VanWagoner 2016-01-14 19:38:06 PST
Created attachment 269027 [details]
Patch
Comment 18 Benjamin Poulain 2016-01-15 10:42:03 PST
Comment on attachment 269027 [details]
Patch

LGTM, let's land.
Comment 19 WebKit Commit Bot 2016-01-15 11:30:59 PST
Comment on attachment 269027 [details]
Patch

Clearing flags on attachment: 269027

Committed r195138: <http://trac.webkit.org/changeset/195138>
Comment 20 WebKit Commit Bot 2016-01-15 11:31:02 PST
All reviewed patches have been landed.  Closing bug.